Manage checks.
Operations
getCheckFmHistoryPagedListSelectFields
POST
Retrieves a paged list of check FM history with selected fields.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/check/getCheckFmHistoryPagedListSelectFieldsPOST /nexum/627/2022.01/check/getCheckFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCheckFmHistoryPagedSelectFields
POST
Searches check FM history with pagination and selected fields.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalQuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/check/searchCheckFmHistoryPagedSelectFieldsPOST /nexum/627/2022.01/check/searchCheckFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"SelectableFields": {
"IncludeAllCheckFmHistoryFields": true
},
"Query": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateCheckByID
POST
Updates a check by ID.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/check/updateCheckByIDPOST /nexum/627/2022.01/check/updateCheckByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"CheckUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createCheck
POST
Creates a new check.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/check/createCheckPOST /nexum/627/2022.01/check/createCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckCreatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteCheck
POST
Deletes a check.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
CheckGlobalSequenceDatestring · dateoptionalCheckGlobalSequenceintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/2022.01/check/deleteCheckPOST /nexum/627/2022.01/check/deleteCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CheckGlobalSequenceDate": "2026-01-01",
"CheckGlobalSequence": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}